package _02_继承._05_继承构造方法;

public class EmployeeTest {

    /**
     * 先在有一个Employee 类 name, age ,sex
     * 要求给Employee 提供一个无参数构造器 和有参数构造器
     *
     * 在创建对象Employee
     *  如果调用无参数构造器 给employee 提供一个默认名字, 模型年龄, 默认的性别(男)
     *  要求在无参数构造器中调用有参数构造器
     *
     * 如果调用有参数构造器 传递的值是什么 创建对象值就是什么
     * @param args
     */
    public static void main(String[] args) {
        Employee employee = new Employee();
        System.out.println(employee);
    }
}
